Skip to content

Actions

All operations require authentication.

5 operationsv1/xdsl/{serviceName}
Agent setup

Retrieve the modem informationProduction

POST
/1.0/xdsl/{serviceName}/modem/retrieveInfo

Reads the general information of the modem of the access. Returns an asynchronous task holding the modem information.

Path parameters

serviceName
required
string

Service name

Response

200ModemInfosuccessful operation
error
read-only
string
—
result
read-only
ModemInfo

Describe general information of a Modem

status
read-only
AsyncTaskStatusEnum

AsyncTask status

Valueserrorokpending

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/modem/retrieveInfo \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "error": "string", "result": { "device": { "brand": "string", "ip": "192.0.2.0", "lastUpdate": "2024-01-01T12:00:00Z", "macAddress": "string", "model": "string", "oui": "string", "overEthernet": "string", "pppLogin": "string", "serial": "string", "softVersion": "string" }, "statistics": { "connectionUptime": 0, "crcError": 0, "deviceUptime": 0, "downstreamAttenuation": 0, "downstreamMargin": 0, "downstreamSync": 0, "fecError": 0, "hecError": 0, "lastUpdate": "2024-01-01T12:00:00Z", "modulation": "string", "quarterHourStart": 0, "syncUptime": 0, "upstreamAttenuation": 0, "upstreamMargin": 0, "upstreamSync": 0 } }, "status": "error"}

Refresh the devices connected to the modemProduction

POST
/1.0/xdsl/{serviceName}/modem/refreshConnectedDevices

Reads again from the modem of the access the devices connected to it. Returns the task that performs the change.

Path parameters

serviceName
required
string

Service name

Response

200Tasksuccessful operation
doneDate
read-only
stringdate-time

Date when the action was completed

function
read-only
string
—
id
read-only
integer
—
isArchived
read-only
boolean
—
status
read-only
TaskStatusEnum

Status of a task.

Valuescancelleddoingdoneerrorproblemtodo
todoDate
read-only
stringdate-time

Date when the action will start

updateDate
read-only
stringdate-time
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/modem/refreshConnectedDevices \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "isArchived": true, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "updateDate": "2024-01-01T12:00:00Z"}

Reconfigure the VoIP line of the modemProduction

POST
/1.0/xdsl/{serviceName}/modem/reconfigureVoip

Pushes the VoIP line configuration again to the modem of the access.

Path parameters

serviceName
required
string

Service name

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/modem/reconfigureVoip \
  -H "authorization: Bearer $OVH_TOKEN"

Reboot the modemProduction

POST
/1.0/xdsl/{serviceName}/modem/reboot

Reboots the modem of the access, now or at the given date. Returns the task that performs the change.

Path parameters

serviceName
required
string

Service name

Request body (required)

todoDate
stringdate-time

Date when the reboot will start

Response

200Tasksuccessful operation
doneDate
read-only
stringdate-time

Date when the action was completed

function
read-only
string
—
id
read-only
integer
—
isArchived
read-only
boolean
—
status
read-only
TaskStatusEnum

Status of a task.

Valuescancelleddoingdoneerrorproblemtodo
todoDate
read-only
stringdate-time

Date when the action will start

updateDate
read-only
stringdate-time
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/modem/reboot \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "isArchived": true, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "updateDate": "2024-01-01T12:00:00Z"}

Reset the modemProduction

POST
/1.0/xdsl/{serviceName}/modem/reset

Resets the modem of the access to its default configuration, and optionally the configuration stored by OVHcloud. Returns the task that performs the change.

Path parameters

serviceName
required
string

Service name

Request body (required)

resetOvhConfig
boolean

Reset configuration stored in OVH databases

Response

200Tasksuccessful operation
doneDate
read-only
stringdate-time

Date when the action was completed

function
read-only
string
—
id
read-only
integer
—
isArchived
read-only
boolean
—
status
read-only
TaskStatusEnum

Status of a task.

Valuescancelleddoingdoneerrorproblemtodo
todoDate
read-only
stringdate-time

Date when the action will start

updateDate
read-only
stringdate-time
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/modem/reset \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "isArchived": true, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "updateDate": "2024-01-01T12:00:00Z"}